from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session
from sqlalchemy import text
from app.db.session import get_db

router = APIRouter()

@router.get("/health")
async def health_check(db: Session = Depends(get_db)):
    try:
        db.execute(text("SELECT 1"))
        database_status = "healthy"
    except Exception:
        database_status = "unhealthy"
    
    return {
        "status": "healthy" if database_status == "healthy" else "unhealthy",
        "database": database_status,
        "service": "SaaS Invoicing Application"
    }